{
  description = "pict-rs-proxy";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;

          overlays = [
            (final: prev: {
              nodejs = prev.nodejs_18;
              postgresql = prev.postgresql_15;
              ruby = prev.ruby_3_2;
            })
          ];
        };
      in
      {
        packages = {
          default = pkgs.hello;
        };

        devShell = with pkgs; mkShell {
          nativeBuildInputs = [
            icu
            imagemagick
            libidn
            libz
            nodejs
            postgresql
            redis
            ruby
            yarn
          ];
        };
      });
}
